SWITCHER(1)

NAME
switcher - switch attention between multiple SunView desktops on the same physical screen

SYNOPSIS
switcher [ -d frame-buffer ] [ -s n| l| r| i| o| f ]
[ -m x y ] [ -n ] [ -e 0| 1 ]

AVAILABILITY

This command is available with the software installation option. Refer to for information on how to install optional software.

DESCRIPTION

switcher is used as an alternative to adjacentscreens(1) for getting between desktops on the Sun-3/110. Clicking the switcher icon gets you to another desktop using some amusing video-wipe animation. When using walking menus, a menu is available to invoke the switch as well. switcher can also be used to simply set the enable plane to 0 or 1 should it get out of wack.

OPTIONS

-d frame-buffer
    The frame buffer is a frame buffer device name, such as /dev/fb, /dev/cgfour or /dev/bwtwo0, on which the desktop that you want to get to resides. This name is the same one supplied to sunview. The -d flag is optional; if not specified, the default device is /dev/fb

-s n| l| r| i| o| f
The -s flag specifies the type of animation used when switching: n (now), l (left wipe), r (right wipe), i (tunnel in), o (tunnel out), or f (fade). The -s flag is optional because if not specified, the default animation is to switch immediately. n (now) mode.

-mx y
    The -m indicates what the mouse position should be on the destination desktop after the switch. An (x y) value-pair of (-1 -1) says to use the position of the mouse on the desktop at the time of the switch as the mouse position on the destination desktop. The -m flag is optional; if not specified, the default is (-1 -1).

-n  The -n flag means no switcher icon is wanted so do the switch right now and exit switcher after the switch. This is handy if you want to switch from a root menu command.

-e 0|1
    The -e flag causes the overlay enable plane of the device specified with the -d flag to be set to either 0 (show color) or 1 (show black and white). switcher run with this option has nothing to do with SunView, only the enable plane is set.

EXAMPLE

A common multiple desktop configuration for the Sun-3/110 is one monochrome and one color desktop. You could set up an instance of sunview(1) on each plane group in the following ways:

1.  Invoke sunview in the color plane group by running:

        example% sunview -8bit_color_only -toggle_enable

    This starts sunview on the default frame buffer named /dev/fb but limits access to the color plane group.

2.  In a shelltool(1), run:

        example% sunview -d /dev/bwtwo0 -toggle_enable &

    This starts sunview in the overlay plane that is accessed by /dev/bwtwo0.

3.  In a shelltool on the original desktop run:

        example% switcher -d /dev/bwtwo0 -s i &

    Clicking on the switcher icon when it is visible moves you to the /dev/bwtwo0 desktop.

4.  In a shelltool on the /dev/bwtwo0 desktop run:

        example% switcher -s o &

    Clicking on the switcher icon when it is visible moves you back to the /dev/fb desktop.

FILES
/usr/bin/switcher
/dev/bwtwo0
/dev/fb
/dev/cgfour

SEE ALSO
adjacentscreens(1), shelltool(1), sunview(1)